Subject: Re: bug#40725: 27.0.91; Tutorial reports false positive key rebindings

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Apr 2020 14:21:50 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Fri, 24 Apr 2020 12:41:03 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> 
> 24 apr. 2020 kl. 12.20 skrev Eli Zaretskii <[email-masked]>:
> 
> > I don't think it will inconvenient someone, but renaming files causes
> > complications in VCS history forensics, so I'd prefer to avoid
> > renaming as much as possible.
> 
> Since there is a clear benefit from avoiding file names that clash with well-established conventions, version control is a very minor concern and we should not be held hostage by it. Git has a lot less trouble with renames than earlier systems, and here we are talking about straight renames (not file splits), thus there is a one-to-one correspondence. Finally, these files are not changed at great frequency.
> 
> Would you prefer the rename to be done on master, or in emacs-27 (since the bug was reported against that version)?

Like I said: I would prefer not to rename files at all, if we can
solve the mode issue in some other way.